package com.samelement.iot_notification.appwidget;

import android.content.Context;
import android.content.SharedPreferences;

import com.samelement.iot_notification.R;

public class PrefsHelper {
    private static final String PREFS_NAME = "com.samelement.homescreenwidget.prefs";
    private static final String PREF_PREFIX_KEY = "appwidget_";

    public static final String TITLE = "TITLE";
    public static final String RESOURCE = "RESOURCE";
    public static final String DEVICE = "DEVICE";
    public static final String VALUE = "VALUE";

    // Write the prefix to the SharedPreferences object for this widget
    public static void savePref(Context context, int appWidgetId, String text, String key) {
        SharedPreferences.Editor prefs = context.getSharedPreferences(PREFS_NAME, 0).edit();
        prefs.putString(PREF_PREFIX_KEY + appWidgetId + key, text);
        prefs.apply();
    }

    // Read the prefix from the SharedPreferences object for this widget.
    // If there is no preference saved, get the default from a resource
    public static String loadPref(Context context, int appWidgetId, String key) {
        SharedPreferences prefs = context.getSharedPreferences(PREFS_NAME, 0);
        String titleValue = prefs.getString(PREF_PREFIX_KEY + appWidgetId + key, null);
        if (titleValue != null) {
            return titleValue;
        } else {
            return "EXAMPLE";
        }
    }

    // Write the prefix to the SharedPreferences object for this widget
    public static void saveTitlePref(Context context, int appWidgetId, String text) {
        SharedPreferences.Editor prefs = context.getSharedPreferences(PREFS_NAME, 0).edit();
        prefs.putString(PREF_PREFIX_KEY + appWidgetId, text);
        prefs.apply();
    }

    // Read the prefix from the SharedPreferences object for this widget.
    // If there is no preference saved, get the default from a resource
    public static String loadTitlePref(Context context, int appWidgetId) {
        SharedPreferences prefs = context.getSharedPreferences(PREFS_NAME, 0);
        String titleValue = prefs.getString(PREF_PREFIX_KEY + appWidgetId, null);
        if (titleValue != null) {
            return titleValue;
        } else {
            return "EXAMPLE";
        }
    }

    public static void deleteTitlePref(Context context, int appWidgetId) {
        SharedPreferences.Editor prefs = context.getSharedPreferences(PREFS_NAME, 0).edit();
        prefs.remove(PREF_PREFIX_KEY + appWidgetId);
        prefs.apply();
    }
}
